Bug 1166776 - CVE-2010-5312 global: jquery-ui: XSS vulnerability in jQuery.ui.dialog title option [fedora-all]
Summary: CVE-2010-5312 global: jquery-ui: XSS vulnerability in jQuery.ui.dialog title ...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: global
Version: 20
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Pavel Zhukov
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1166107 (view as bug list)
Depends On:
Blocks: CVE-2010-5312 CVE-2012-6662
TreeView+ depends on / blocked
 
Reported: 2014-11-21 16:21 UTC by Vasyl Kaigorodov
Modified: 2014-11-26 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Release Note
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-11-26 22:11:25 UTC
Type: ---


Attachments (Terms of Use)

Description Vasyl Kaigorodov 2014-11-21 16:21:33 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of Fedora.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

[bug automatically created by: add-tracking-bugs]

Comment 1 Vasyl Kaigorodov 2014-11-21 16:21:39 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1166041,1166776

# Description of your update
notes=Security fix for CVE-2010-5312

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi update submission link instead:

https://admin.fedoraproject.org/updates/new/?type_=security&bugs=1166041,1166776

Comment 2 Vasyl Kaigorodov 2014-11-21 16:58:23 UTC
*** Bug 1166107 has been marked as a duplicate of this bug. ***

Comment 3 Vasyl Kaigorodov 2014-11-21 17:14:21 UTC
This tracking bug was filed automatically because this component ships with jquery.js file, so may potentially be affected by CVE-2012-6662 and/or CVE-2010-5312 (XSS issues in jQuery UI).
If your package does not use jQuery UI, or affected parts of jQuery UI (namely: Tooltip or Dialog widgets), or a package is using jQuery UI (or named components) version 1.10.0 and later - feel free to close as NOTABUG.

Comment 4 Pavel Zhukov 2014-11-26 22:11:25 UTC
Global doesn't use JQuery.UI.


Note You need to log in before you can comment on or make changes to this bug.